# coding: utf-8

"""
Copyright 2016 SmartBear Software

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Ref: https://github.com/swagger-api/swagger-codegen
"""

from pprint import pformat
from six import iteritems
import re


class Forecast(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self):
        """
        Forecast - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'metadata': 'ForecastMetadata',
            'start_date': 'datetime',
            'forecast_entries': 'list[ForecastEntry]',
            'error_message': 'str'
        }

        self.attribute_map = {
            'metadata': 'metadata',
            'start_date': 'startDate',
            'forecast_entries': 'forecastEntries',
            'error_message': 'errorMessage'
        }

        self._metadata = None
        self._start_date = None
        self._forecast_entries = None
        self._error_message = None

    @property
    def metadata(self):
        """
        Gets the metadata of this Forecast.
        The metadata of the forecast

        :return: The metadata of this Forecast.
        :rtype: ForecastMetadata
        """
        return self._metadata

    @metadata.setter
    def metadata(self, metadata):
        """
        Sets the metadata of this Forecast.
        The metadata of the forecast

        :param metadata: The metadata of this Forecast.
        :type: ForecastMetadata
        """
        
        self._metadata = metadata

    @property
    def start_date(self):
        """
        Gets the start_date of this Forecast.
        The start date time of the forecast. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss.SSSZ

        :return: The start_date of this Forecast.
        :rtype: datetime
        """
        return self._start_date

    @start_date.setter
    def start_date(self, start_date):
        """
        Sets the start_date of this Forecast.
        The start date time of the forecast. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss.SSSZ

        :param start_date: The start_date of this Forecast.
        :type: datetime
        """
        
        self._start_date = start_date

    @property
    def forecast_entries(self):
        """
        Gets the forecast_entries of this Forecast.
        The entries of forecasted values and their dimensions

        :return: The forecast_entries of this Forecast.
        :rtype: list[ForecastEntry]
        """
        return self._forecast_entries

    @forecast_entries.setter
    def forecast_entries(self, forecast_entries):
        """
        Sets the forecast_entries of this Forecast.
        The entries of forecasted values and their dimensions

        :param forecast_entries: The forecast_entries of this Forecast.
        :type: list[ForecastEntry]
        """
        
        self._forecast_entries = forecast_entries

    @property
    def error_message(self):
        """
        Gets the error_message of this Forecast.
        The error happening when producing the forecasts

        :return: The error_message of this Forecast.
        :rtype: str
        """
        return self._error_message

    @error_message.setter
    def error_message(self, error_message):
        """
        Sets the error_message of this Forecast.
        The error happening when producing the forecasts

        :param error_message: The error_message of this Forecast.
        :type: str
        """
        
        self._error_message = error_message

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other

