# coding: utf-8

"""
Copyright 2016 SmartBear Software

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

    Ref: https://github.com/swagger-api/swagger-codegen
"""

from pprint import pformat
from six import iteritems
import re


class ForecastDimensions(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self):
        """
        ForecastDimensions - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'language': 'Language',
            'media': 'str',
            'queue': 'Queue'
        }

        self.attribute_map = {
            'language': 'language',
            'media': 'media',
            'queue': 'queue'
        }

        self._language = None
        self._media = None
        self._queue = None

    @property
    def language(self):
        """
        Gets the language of this ForecastDimensions.
        The language of the forecast

        :return: The language of this ForecastDimensions.
        :rtype: Language
        """
        return self._language

    @language.setter
    def language(self, language):
        """
        Sets the language of this ForecastDimensions.
        The language of the forecast

        :param language: The language of this ForecastDimensions.
        :type: Language
        """
        
        self._language = language

    @property
    def media(self):
        """
        Gets the media of this ForecastDimensions.
        The media of the forecast

        :return: The media of this ForecastDimensions.
        :rtype: str
        """
        return self._media

    @media.setter
    def media(self, media):
        """
        Sets the media of this ForecastDimensions.
        The media of the forecast

        :param media: The media of this ForecastDimensions.
        :type: str
        """
        allowed_values = ["VOICE", "CHAT", "EMAIL"]
        if media.lower() not in map(str.lower, allowed_values):
            # print "Invalid value for media -> " + media
            self._media = "outdated_sdk_version"
        else:
            self._media = media.lower()

    @property
    def queue(self):
        """
        Gets the queue of this ForecastDimensions.
        The queue of the forecast

        :return: The queue of this ForecastDimensions.
        :rtype: Queue
        """
        return self._queue

    @queue.setter
    def queue(self, queue):
        """
        Sets the queue of this ForecastDimensions.
        The queue of the forecast

        :param queue: The queue of this ForecastDimensions.
        :type: Queue
        """
        
        self._queue = queue

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other

